Gtk2 1.221 available

Overview of changes in Gtk2 1.221

* Properly wrap the binding for gtk_binding_entry_skip in version guards.
* Fix some build and test failures.

The source code is available from the gtk2-perl project page on

This module requires these other modules and libraries:

   perl >= 5.8.0
   Glib >= 1.220 (Perl module)
   Pango >= 1.220 (Perl module)
   GTK+ > 2.x (C library and prerequisites)

If GTK+ is as new or newer as 2.8, the Cairo module is also required:

  Cairo >= 1.00 (Perl module)

In order to build it from source, you'll also need

   ExtUtils::Depends >= 0.300
   ExtUtils::PkgConfig >= 1.030
   development headers for gtk+ and friends

Gtk2 is a Perl extension providing Perl bindings to the 2.x series of
the Gtk+ graphical user interface library.  This module allows you to
write graphical user interfaces in a perlish and object-oriented way,
freeing you from the casting and memory management in C, yet remaining
very close in spirit to original API.  Find out more about Gtk+ at
<>, and about Gtk2-Perl at

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]